; (function () {
    const taskStatus = require('./taskStatus');

   var taskModel = {
        _id = null,
        itemParentID = null,
        itemID = null,
        serverPath = null,
        localPath = null,
        fileName = null,
        md5 = null,
        isDir = false,
        size = 0,
        addTime = Date.now(),
        startTime = null,
        endTime = null,
        cumulativeTime = 0,
        status = taskStatus.doing,
        type = transferType.upload, 
    };

    module.exports = function(){
        return Object.assign({},taskModel);
    };
} ())